generator-jhipster-compodoc

0.0.1 • Public • Published

Compodoc: The missing documentation tool for your Angular application

generator-jhipster-compodoc

NPM version Dependency Status

JHipster module, additional compodoc support in your JHipster application

Compodoc: The missing documentation tool for your Angular application

Introduction

This is a JHipster module, that is meant to be used in a JHipster application.

Prerequisites

This module requires Jhipster version greater than 3.0.0 in order to work.

As this is a JHipster module, we expect you have JHipster and its related tools already installed:

Installation

To install this module :

npm install -g generator-jhipster-compodoc

Usage

Run the module on your JHipster generated application :

yo jhipster-compodoc

Due to a limitation of yeoman about file override, you will have to accept the overwrite question.

 conflict package.json
? Overwrite package.json? (Ynaxdh)

Enjoy compodoc in your Angular application

npm run doc

License

MIT © [Vincent Ogloblinsky]

Package Sidebar

Install

npm i generator-jhipster-compodoc

Weekly Downloads

47

Version

0.0.1

License

MIT

Last publish

Collaborators

  • vogloblinsky